<template>
	<view class="check-the-schedule">
		<combined-title title="查看进度"></combined-title>
		<view class="scheduleTable">
			<uni-table border stripe emptyText="暂无更多数据">
				<!-- 表格数据行 -->
				<uni-tr>
					<uni-th align="center">任务名称</uni-th>
					<uni-td>{{ yibanData.renwu }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="center">处理人</uni-th>
					<uni-td>XXX XXX XXX XXX</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="center">审批操作</uni-th>
					<uni-td>——</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="center">审批意见</uni-th>
					<uni-td>{{ yibanData.shenpiyijian }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="center">耗时</uni-th>
					<uni-td>{{ yibanData.haoshi }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="center">创建时间</uni-th>
					<uni-td>{{ yibanData.createTime }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="center">完成时间</uni-th>
					<uni-td>——</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="center">状态</uni-th>
					<uni-td style="color:#007AFF">待处理</uni-td>
				</uni-tr>
			</uni-table>
		</view>

		<!-- 菜单栏 -->
		<popup-menu @menuShow="menushow" ref="menuRef"></popup-menu>
	</view>
</template>

<script>
import popupMenu from '@/components/common/popup-menu/popup-menu.vue';
import combinedTitle from '@/components/common/combined-title/combined-title.vue';
export default {
	data() {
		return {
			yibanData: {
				meizhongshenqing: '葛泉矿申请：煤矸石',
				renwu: '发运审批',
				liucheng: '发运通知单',
				faqiren: '葛泉矿',
				shenpiCaozuo: '审批通过',
				shenpiyijian: '同意',
				haoshi: '19秒',
				createTime: '2022-5-25 12:06:15'
			}
		};
	},
	// 点击导航栏菜单后
	onNavigationBarButtonTap(e) {
		// console.log(e);
		this.$refs.menuRef.menuClick();
	},
	onShow(){
		if(this.menuShow == true){
			this.$refs.menuRef.menuClick()
		}
	},
	components: {
		combinedTitle,
		popupMenu
	},
	methods: {
		menushow(e){
			this.menuShow = e
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.check-the-schedule {
	width: 100%;
	height: 100%;
	.scheduleTable {
		margin: 0 auto;
		width: 91%;
		.uni-table {
			.uni-table-tr {
				.uni-table-th {
					width: vww(88);
					height: vww(40);
					background-color: #f5f5f5;
					color: #111111;
					font-size: vww(13);
					font-weight: 500;
				}
				.uni-table-td {
					width: vww(240);
					height: vww(40);
					background-color: #ffffff;
					color: #111111;
					font-size: vww(13);
				}
			}
		}
		// 边框
		// .table--border{
		// 	border:1px solid #DDDDDD;
		// }
	}
}
</style>
